Skip to main content

Update API Key

PUThttps://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/{key_id}

Updates the specified API key.

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    key_id# stringrequired

    Key identifier.

    Example: my_key_id

Body

application/json
    accessPolicy#string

    JSON string representing the access policy for this API key. Defines granular permissions for users and groups. To delete an existing policy, pass an empty string.

    Example: {"version":"2025-01-01","default":{"permissions":{"data-ingest-api-keys:ReadAccessPolicy":"grant","data-ingest-api-keys:Manage":"deny","data-ingest-api-keys:UpdateAccessPolicy":"deny","data-ingest-api-keys:ReadConfig":"grant"}},"rules":[]}
    isActive#boolean

    Whether the API key is active. Set to false to deactivate without deleting.

    Example: true
    newName#string

    New display name for the API key.

    Example: my_new_name

Response

application/json

Response returned after successfully updating an API key.